#!/bin/bash

#PBS -A open
#PBS -l nodes=1:ppn=1
#PBS -l walltime=3:0:00
#PBS -l pmem=10mb
#PBS -j oe
set -e

MODELS=(
	#path                                   index
	bean_1/bean_1.xml                       #0
	bean_deep_1/bean_deep_1.xml             #1
	bean_shallow_1/bean_shallow_1.xml       #2
	maize_1/maize_1.xml                     #3
	maize_deep_1/maize_deep_1.xml           #4
	maize_shallow_1/maize_shallow_1.xml     #5
	bean_2/bean_2.xml                       #6
	bean_deep_2/bean_deep_2.xml             #7
	bean_shallow_2/bean_shallow_2.xml       #8
	maize_2/maize_2.xml                     #9
	maize_deep_2/maize_deep_2.xml           #10
	maize_shallow_2/maize_shallow_2.xml     #11
	bean_3/bean_3.xml                       #12
	bean_deep_3/bean_deep_3.xml             #13
	bean_shallow_3/bean_shallow_3.xml       #14
	maize_3/maize_3.xml                     #15
	maize_deep_3/maize_deep_3.xml           #16
	maize_shallow_3/maize_shallow_3.xml     #17
	bean_4/bean_4.xml                       #18
	bean_deep_4/bean_deep_4.xml             #19
	bean_shallow_4/bean_shallow_4.xml       #20
	maize_4/maize_4.xml                     #21
	maize_deep_4/maize_deep_4.xml           #22
	maize_shallow_4/maize_shallow_4.xml     #23
	bean_5/bean_5.xml                       #24
	bean_deep_5/bean_deep_5.xml             #25
	bean_shallow_5/bean_shallow_5.xml       #26
	maize_5/maize_5.xml                     #27
	maize_deep_5/maize_deep_5.xml           #28
	maize_shallow_5/maize_shallow_5.xml     #29
	bean_6/bean_6.xml                       #30
	bean_deep_6/bean_deep_6.xml             #31
	bean_shallow_6/bean_shallow_6.xml       #32
	maize_6/maize_6.xml                     #33
	maize_deep_6/maize_deep_6.xml           #34
	maize_shallow_6/maize_shallow_6.xml     #35
	bean_7/bean_7.xml                       #36
	bean_deep_7/bean_deep_7.xml             #37
	bean_shallow_7/bean_shallow_7.xml       #38
	maize_7/maize_7.xml                     #39
	maize_deep_7/maize_deep_7.xml           #40
	maize_shallow_7/maize_shallow_7.xml     #41
	bean_8/bean_8.xml                       #42
	bean_deep_8/bean_deep_8.xml             #43
	bean_shallow_8/bean_shallow_8.xml       #44
	maize_8/maize_8.xml                     #45
	maize_deep_8/maize_deep_8.xml           #46
	maize_shallow_8/maize_shallow_8.xml     #47
	bean_9/bean_9.xml                       #48
	bean_deep_9/bean_deep_9.xml             #49
	bean_shallow_9/bean_shallow_9.xml       #50
	maize_9/maize_9.xml                     #51
	maize_deep_9/maize_deep_9.xml           #52
	maize_shallow_9/maize_shallow_9.xml     #53
	bean_10/bean_10.xml                     #54
	bean_deep_10/bean_deep_10.xml           #55
	bean_shallow_10/bean_shallow_10.xml     #56
	maize_10/maize_10.xml                   #57
	maize_deep_10/maize_deep_10.xml         #58
	maize_shallow_10/maize_shallow_10.xml   #59
	bean_11/bean_11.xml                     #60
	bean_deep_11/bean_deep_11.xml           #61
	bean_shallow_11/bean_shallow_11.xml     #62
	maize_11/maize_11.xml                   #63
	maize_deep_11/maize_deep_11.xml         #64
	maize_shallow_11/maize_shallow_11.xml   #65
	bean_12/bean_12.xml                     #66
	bean_deep_12/bean_deep_12.xml           #67
	bean_shallow_12/bean_shallow_12.xml     #68
	maize_12/maize_12.xml                   #69
	maize_deep_12/maize_deep_12.xml         #70
	maize_shallow_12/maize_shallow_12.xml   #71
	bean_13/bean_13.xml                     #72
	bean_deep_13/bean_deep_13.xml           #73
	bean_shallow_13/bean_shallow_13.xml     #74
	maize_13/maize_13.xml                   #75
	maize_deep_13/maize_deep_13.xml         #76
	maize_shallow_13/maize_shallow_13.xml   #77
	bean_14/bean_14.xml                     #78
	bean_deep_14/bean_deep_14.xml           #79
	bean_shallow_14/bean_shallow_14.xml     #80
	maize_14/maize_14.xml                   #81
	maize_deep_14/maize_deep_14.xml         #82
	maize_shallow_14/maize_shallow_14.xml   #83
	bean_15/bean_15.xml                     #84
	bean_deep_15/bean_deep_15.xml           #85
	bean_shallow_15/bean_shallow_15.xml     #86
	maize_15/maize_15.xml                   #87
	maize_deep_15/maize_deep_15.xml         #88
	maize_shallow_15/maize_shallow_15.xml   #89
	bean_16/bean_16.xml                     #90
	bean_deep_16/bean_deep_16.xml           #91
	bean_shallow_16/bean_shallow_16.xml     #92
	maize_16/maize_16.xml                   #93
	maize_deep_16/maize_deep_16.xml         #94
	maize_shallow_16/maize_shallow_16.xml   #95
	bean_17/bean_17.xml                     #96
	bean_deep_17/bean_deep_17.xml           #97
	bean_shallow_17/bean_shallow_17.xml     #98
	maize_17/maize_17.xml                   #99
	maize_deep_17/maize_deep_17.xml         #100
	maize_shallow_17/maize_shallow_17.xml   #101
	bean_18/bean_18.xml                     #102
	bean_deep_18/bean_deep_18.xml           #103
	bean_shallow_18/bean_shallow_18.xml     #104
	maize_18/maize_18.xml                   #105
	maize_deep_18/maize_deep_18.xml         #106
	maize_shallow_18/maize_shallow_18.xml   #107
	bean_19/bean_19.xml                     #108
	bean_deep_19/bean_deep_19.xml           #109
	bean_shallow_19/bean_shallow_19.xml     #110
	maize_19/maize_19.xml                   #111
	maize_deep_19/maize_deep_19.xml         #112
	maize_shallow_19/maize_shallow_19.xml   #113
	bean_20/bean_20.xml                     #114
	bean_deep_20/bean_deep_20.xml           #115
	bean_shallow_20/bean_shallow_20.xml     #116
	maize_20/maize_20.xml                   #117
	maize_deep_20/maize_deep_20.xml         #118
	maize_shallow_20/maize_shallow_20.xml   #119
	bean_21/bean_21.xml                     #120
	bean_deep_21/bean_deep_21.xml           #121
	bean_shallow_21/bean_shallow_21.xml     #122
	maize_21/maize_21.xml                   #123
	maize_deep_21/maize_deep_21.xml         #124
	maize_shallow_21/maize_shallow_21.xml   #125
	bean_22/bean_22.xml                     #126
	bean_deep_22/bean_deep_22.xml           #127
	bean_shallow_22/bean_shallow_22.xml     #128
	maize_22/maize_22.xml                   #129
	maize_deep_22/maize_deep_22.xml         #130
	maize_shallow_22/maize_shallow_22.xml   #131
	bean_23/bean_23.xml                     #132
	bean_deep_23/bean_deep_23.xml           #133
	bean_shallow_23/bean_shallow_23.xml     #134
	maize_23/maize_23.xml                   #135
	maize_deep_23/maize_deep_23.xml         #136
	maize_shallow_23/maize_shallow_23.xml   #137
	bean_24/bean_24.xml                     #138
	bean_deep_24/bean_deep_24.xml           #139
	bean_shallow_24/bean_shallow_24.xml     #140
	maize_24/maize_24.xml                   #141
	maize_deep_24/maize_deep_24.xml         #142
	maize_shallow_24/maize_shallow_24.xml   #143
	bean_25/bean_25.xml                     #144
	bean_deep_25/bean_deep_25.xml           #145
	bean_shallow_25/bean_shallow_25.xml     #146
	maize_25/maize_25.xml                   #147
	maize_deep_25/maize_deep_25.xml         #148
	maize_shallow_25/maize_shallow_25.xml   #149
	bean_26/bean_26.xml                     #150
	bean_deep_26/bean_deep_26.xml           #151
	bean_shallow_26/bean_shallow_26.xml     #152
	maize_26/maize_26.xml                   #153
	maize_deep_26/maize_deep_26.xml         #154
	maize_shallow_26/maize_shallow_26.xml   #155
	bean_27/bean_27.xml                     #156
	bean_deep_27/bean_deep_27.xml           #157
	bean_shallow_27/bean_shallow_27.xml     #158
	maize_27/maize_27.xml                   #159
	maize_deep_27/maize_deep_27.xml         #160
	maize_shallow_27/maize_shallow_27.xml   #161
	bean_28/bean_28.xml                     #162
	bean_deep_28/bean_deep_28.xml           #163
	bean_shallow_28/bean_shallow_28.xml     #164
	maize_28/maize_28.xml                   #165
	maize_deep_28/maize_deep_28.xml         #166
	maize_shallow_28/maize_shallow_28.xml   #167
	bean_29/bean_29.xml                     #168
	bean_deep_29/bean_deep_29.xml           #169
	bean_shallow_29/bean_shallow_29.xml     #170
	maize_29/maize_29.xml                   #171
	maize_deep_29/maize_deep_29.xml         #172
	maize_shallow_29/maize_shallow_29.xml   #173
	bean_30/bean_30.xml                     #174
	bean_deep_30/bean_deep_30.xml           #175
	bean_shallow_30/bean_shallow_30.xml     #176
	maize_30/maize_30.xml                   #177
	maize_deep_30/maize_deep_30.xml         #178
	maize_shallow_30/maize_shallow_30.xml   #179
	bean_31/bean_31.xml                     #180
	bean_deep_31/bean_deep_31.xml           #181
	bean_shallow_31/bean_shallow_31.xml     #182
	maize_31/maize_31.xml                   #183
	maize_deep_31/maize_deep_31.xml         #184
	maize_shallow_31/maize_shallow_31.xml   #185
	bean_32/bean_32.xml                     #186
	bean_deep_32/bean_deep_32.xml           #187
	bean_shallow_32/bean_shallow_32.xml     #188
	maize_32/maize_32.xml                   #189
	maize_deep_32/maize_deep_32.xml         #190
	maize_shallow_32/maize_shallow_32.xml   #191
	bean_33/bean_33.xml                     #192
	bean_deep_33/bean_deep_33.xml           #193
	bean_shallow_33/bean_shallow_33.xml     #194
	maize_33/maize_33.xml                   #195
	maize_deep_33/maize_deep_33.xml         #196
	maize_shallow_33/maize_shallow_33.xml   #197
	bean_34/bean_34.xml                     #198
	bean_deep_34/bean_deep_34.xml           #199
	bean_shallow_34/bean_shallow_34.xml     #200
	maize_34/maize_34.xml                   #201
	maize_deep_34/maize_deep_34.xml         #202
	maize_shallow_34/maize_shallow_34.xml   #203
	bean_35/bean_35.xml                     #204
	bean_deep_35/bean_deep_35.xml           #205
	bean_shallow_35/bean_shallow_35.xml     #206
	maize_35/maize_35.xml                   #207
	maize_deep_35/maize_deep_35.xml         #208
	maize_shallow_35/maize_shallow_35.xml   #209
	bean_36/bean_36.xml                     #210
	bean_deep_36/bean_deep_36.xml           #211
	bean_shallow_36/bean_shallow_36.xml     #212
	maize_36/maize_36.xml                   #213
	maize_deep_36/maize_deep_36.xml         #214
	maize_shallow_36/maize_shallow_36.xml   #215
	bean_37/bean_37.xml                     #216
	bean_deep_37/bean_deep_37.xml           #217
	bean_shallow_37/bean_shallow_37.xml     #218
	maize_37/maize_37.xml                   #219
	maize_deep_37/maize_deep_37.xml         #220
	maize_shallow_37/maize_shallow_37.xml   #221
	bean_38/bean_38.xml                     #222
	bean_deep_38/bean_deep_38.xml           #223
	bean_shallow_38/bean_shallow_38.xml     #224
	maize_38/maize_38.xml                   #225
	maize_deep_38/maize_deep_38.xml         #226
	maize_shallow_38/maize_shallow_38.xml   #227
	bean_39/bean_39.xml                     #228
	bean_deep_39/bean_deep_39.xml           #229
	bean_shallow_39/bean_shallow_39.xml     #230
	maize_39/maize_39.xml                   #231
	maize_deep_39/maize_deep_39.xml         #232
	maize_shallow_39/maize_shallow_39.xml   #233
	bean_40/bean_40.xml                     #234
	bean_deep_40/bean_deep_40.xml           #235
	bean_shallow_40/bean_shallow_40.xml     #236
	maize_40/maize_40.xml                   #237
	maize_deep_40/maize_deep_40.xml         #238
	maize_shallow_40/maize_shallow_40.xml   #239
	bean_41/bean_41.xml                     #240
	bean_deep_41/bean_deep_41.xml           #241
	bean_shallow_41/bean_shallow_41.xml     #242
	maize_41/maize_41.xml                   #243
	maize_deep_41/maize_deep_41.xml         #244
	maize_shallow_41/maize_shallow_41.xml   #245
	bean_42/bean_42.xml                     #246
	bean_deep_42/bean_deep_42.xml           #247
	bean_shallow_42/bean_shallow_42.xml     #248
	maize_42/maize_42.xml                   #249
	maize_deep_42/maize_deep_42.xml         #250
	maize_shallow_42/maize_shallow_42.xml   #251
	bean_43/bean_43.xml                     #252
	bean_deep_43/bean_deep_43.xml           #253
	bean_shallow_43/bean_shallow_43.xml     #254
	maize_43/maize_43.xml                   #255
	maize_deep_43/maize_deep_43.xml         #256
	maize_shallow_43/maize_shallow_43.xml   #257
	bean_44/bean_44.xml                     #258
	bean_deep_44/bean_deep_44.xml           #259
	bean_shallow_44/bean_shallow_44.xml     #260
	maize_44/maize_44.xml                   #261
	maize_deep_44/maize_deep_44.xml         #262
	maize_shallow_44/maize_shallow_44.xml   #263
	bean_45/bean_45.xml                     #264
	bean_deep_45/bean_deep_45.xml           #265
	bean_shallow_45/bean_shallow_45.xml     #266
	maize_45/maize_45.xml                   #267
	maize_deep_45/maize_deep_45.xml         #268
	maize_shallow_45/maize_shallow_45.xml   #269
	bean_46/bean_46.xml                     #270
	bean_deep_46/bean_deep_46.xml           #271
	bean_shallow_46/bean_shallow_46.xml     #272
	maize_46/maize_46.xml                   #273
	maize_deep_46/maize_deep_46.xml         #274
	maize_shallow_46/maize_shallow_46.xml   #275
	bean_47/bean_47.xml                     #276
	bean_deep_47/bean_deep_47.xml           #277
	bean_shallow_47/bean_shallow_47.xml     #278
	maize_47/maize_47.xml                   #279
	maize_deep_47/maize_deep_47.xml         #280
	maize_shallow_47/maize_shallow_47.xml   #281
	bean_48/bean_48.xml                     #282
	bean_deep_48/bean_deep_48.xml           #283
	bean_shallow_48/bean_shallow_48.xml     #284
	maize_48/maize_48.xml                   #285
	maize_deep_48/maize_deep_48.xml         #286
	maize_shallow_48/maize_shallow_48.xml   #287
	bean_49/bean_49.xml                     #288
	bean_deep_49/bean_deep_49.xml           #289
	bean_shallow_49/bean_shallow_49.xml     #290
	maize_49/maize_49.xml                   #291
	maize_deep_49/maize_deep_49.xml         #292
	maize_shallow_49/maize_shallow_49.xml   #293
	bean_50/bean_50.xml                     #294
	bean_deep_50/bean_deep_50.xml           #295
	bean_shallow_50/bean_shallow_50.xml     #296
	maize_50/maize_50.xml                   #297
	maize_deep_50/maize_deep_50.xml         #298
	maize_shallow_50/maize_shallow_50.xml   #299
	bean_51/bean_51.xml                     #300
	bean_deep_51/bean_deep_51.xml           #301
	bean_shallow_51/bean_shallow_51.xml     #302
	maize_51/maize_51.xml                   #303
	maize_deep_51/maize_deep_51.xml         #304
	maize_shallow_51/maize_shallow_51.xml   #305
	bean_52/bean_52.xml                     #306
	bean_deep_52/bean_deep_52.xml           #307
	bean_shallow_52/bean_shallow_52.xml     #308
	maize_52/maize_52.xml                   #309
	maize_deep_52/maize_deep_52.xml         #310
	maize_shallow_52/maize_shallow_52.xml   #311
	bean_53/bean_53.xml                     #312
	bean_deep_53/bean_deep_53.xml           #313
	bean_shallow_53/bean_shallow_53.xml     #314
	maize_53/maize_53.xml                   #315
	maize_deep_53/maize_deep_53.xml         #316
	maize_shallow_53/maize_shallow_53.xml   #317
	bean_54/bean_54.xml                     #318
	bean_deep_54/bean_deep_54.xml           #319
	bean_shallow_54/bean_shallow_54.xml     #320
	maize_54/maize_54.xml                   #321
	maize_deep_54/maize_deep_54.xml         #322
	maize_shallow_54/maize_shallow_54.xml   #323
	bean_55/bean_55.xml                     #324
	bean_deep_55/bean_deep_55.xml           #325
	bean_shallow_55/bean_shallow_55.xml     #326
	maize_55/maize_55.xml                   #327
	maize_deep_55/maize_deep_55.xml         #328
	maize_shallow_55/maize_shallow_55.xml   #329
	bean_56/bean_56.xml                     #330
	bean_deep_56/bean_deep_56.xml           #331
	bean_shallow_56/bean_shallow_56.xml     #332
	maize_56/maize_56.xml                   #333
	maize_deep_56/maize_deep_56.xml         #334
	maize_shallow_56/maize_shallow_56.xml   #335
	bean_57/bean_57.xml                     #336
	bean_deep_57/bean_deep_57.xml           #337
	bean_shallow_57/bean_shallow_57.xml     #338
	maize_57/maize_57.xml                   #339
	maize_deep_57/maize_deep_57.xml         #340
	maize_shallow_57/maize_shallow_57.xml   #341
	bean_58/bean_58.xml                     #342
	bean_deep_58/bean_deep_58.xml           #343
	bean_shallow_58/bean_shallow_58.xml     #344
	maize_58/maize_58.xml                   #345
	maize_deep_58/maize_deep_58.xml         #346
	maize_shallow_58/maize_shallow_58.xml   #347
	bean_59/bean_59.xml                     #348
	bean_deep_59/bean_deep_59.xml           #349
	bean_shallow_59/bean_shallow_59.xml     #350
	maize_59/maize_59.xml                   #351
	maize_deep_59/maize_deep_59.xml         #352
	maize_shallow_59/maize_shallow_59.xml   #353
	bean_60/bean_60.xml                     #354
	bean_deep_60/bean_deep_60.xml           #355
	bean_shallow_60/bean_shallow_60.xml     #356
	maize_60/maize_60.xml                   #357
	maize_deep_60/maize_deep_60.xml         #358
	maize_shallow_60/maize_shallow_60.xml   #359
	bean_61/bean_61.xml                     #360
	bean_deep_61/bean_deep_61.xml           #361
	bean_shallow_61/bean_shallow_61.xml     #362
	maize_61/maize_61.xml                   #363
	maize_deep_61/maize_deep_61.xml         #364
	maize_shallow_61/maize_shallow_61.xml   #365
	bean_62/bean_62.xml                     #366
	bean_deep_62/bean_deep_62.xml           #367
	bean_shallow_62/bean_shallow_62.xml     #368
	maize_62/maize_62.xml                   #369
	maize_deep_62/maize_deep_62.xml         #370
	maize_shallow_62/maize_shallow_62.xml   #371
	bean_63/bean_63.xml                     #372
	bean_deep_63/bean_deep_63.xml           #373
	bean_shallow_63/bean_shallow_63.xml     #374
	maize_63/maize_63.xml                   #375
	maize_deep_63/maize_deep_63.xml         #376
	maize_shallow_63/maize_shallow_63.xml   #377
	bean_64/bean_64.xml                     #378
	bean_deep_64/bean_deep_64.xml           #379
	bean_shallow_64/bean_shallow_64.xml     #380
	maize_64/maize_64.xml                   #381
	maize_deep_64/maize_deep_64.xml         #382
	maize_shallow_64/maize_shallow_64.xml   #383
	bean_65/bean_65.xml                     #384
	bean_deep_65/bean_deep_65.xml           #385
	bean_shallow_65/bean_shallow_65.xml     #386
	maize_65/maize_65.xml                   #387
	maize_deep_65/maize_deep_65.xml         #388
	maize_shallow_65/maize_shallow_65.xml   #389
	bean_66/bean_66.xml                     #390
	bean_deep_66/bean_deep_66.xml           #391
	bean_shallow_66/bean_shallow_66.xml     #392
	maize_66/maize_66.xml                   #393
	maize_deep_66/maize_deep_66.xml         #394
	maize_shallow_66/maize_shallow_66.xml   #395
	bean_67/bean_67.xml                     #396
	bean_deep_67/bean_deep_67.xml           #397
	bean_shallow_67/bean_shallow_67.xml     #398
	maize_67/maize_67.xml                   #399
	maize_deep_67/maize_deep_67.xml         #400
	maize_shallow_67/maize_shallow_67.xml   #401
	bean_68/bean_68.xml                     #402
	bean_deep_68/bean_deep_68.xml           #403
	bean_shallow_68/bean_shallow_68.xml     #404
	maize_68/maize_68.xml                   #405
	maize_deep_68/maize_deep_68.xml         #406
	maize_shallow_68/maize_shallow_68.xml   #407
	bean_69/bean_69.xml                     #408
	bean_deep_69/bean_deep_69.xml           #409
	bean_shallow_69/bean_shallow_69.xml     #410
	maize_69/maize_69.xml                   #411
	maize_deep_69/maize_deep_69.xml         #412
	maize_shallow_69/maize_shallow_69.xml   #413
	bean_70/bean_70.xml                     #414
	bean_deep_70/bean_deep_70.xml           #415
	bean_shallow_70/bean_shallow_70.xml     #416
	maize_70/maize_70.xml                   #417
	maize_deep_70/maize_deep_70.xml         #418
	maize_shallow_70/maize_shallow_70.xml   #419
	bean_71/bean_71.xml                     #420
	bean_deep_71/bean_deep_71.xml           #421
	bean_shallow_71/bean_shallow_71.xml     #422
	maize_71/maize_71.xml                   #423
	maize_deep_71/maize_deep_71.xml         #424
	maize_shallow_71/maize_shallow_71.xml   #425
	bean_72/bean_72.xml                     #426
	bean_deep_72/bean_deep_72.xml           #427
	bean_shallow_72/bean_shallow_72.xml     #428
	maize_72/maize_72.xml                   #429
	maize_deep_72/maize_deep_72.xml         #430
	maize_shallow_72/maize_shallow_72.xml   #431
	bean_73/bean_73.xml                     #432
	bean_deep_73/bean_deep_73.xml           #433
	bean_shallow_73/bean_shallow_73.xml     #434
	maize_73/maize_73.xml                   #435
	maize_deep_73/maize_deep_73.xml         #436
	maize_shallow_73/maize_shallow_73.xml   #437
	bean_74/bean_74.xml                     #438
	bean_deep_74/bean_deep_74.xml           #439
	bean_shallow_74/bean_shallow_74.xml     #440
	maize_74/maize_74.xml                   #441
	maize_deep_74/maize_deep_74.xml         #442
	maize_shallow_74/maize_shallow_74.xml   #443
	bean_75/bean_75.xml                     #444
	bean_deep_75/bean_deep_75.xml           #445
	bean_shallow_75/bean_shallow_75.xml     #446
	maize_75/maize_75.xml                   #447
	maize_deep_75/maize_deep_75.xml         #448
	maize_shallow_75/maize_shallow_75.xml   #449
	bean_76/bean_76.xml                     #450
	bean_deep_76/bean_deep_76.xml           #451
	bean_shallow_76/bean_shallow_76.xml     #452
	maize_76/maize_76.xml                   #453
	maize_deep_76/maize_deep_76.xml         #454
	maize_shallow_76/maize_shallow_76.xml   #455
	bean_77/bean_77.xml                     #456
	bean_deep_77/bean_deep_77.xml           #457
	bean_shallow_77/bean_shallow_77.xml     #458
	maize_77/maize_77.xml                   #459
	maize_deep_77/maize_deep_77.xml         #460
	maize_shallow_77/maize_shallow_77.xml   #461
	bean_78/bean_78.xml                     #462
	bean_deep_78/bean_deep_78.xml           #463
	bean_shallow_78/bean_shallow_78.xml     #464
	maize_78/maize_78.xml                   #465
	maize_deep_78/maize_deep_78.xml         #466
	maize_shallow_78/maize_shallow_78.xml   #467
	bean_79/bean_79.xml                     #468
	bean_deep_79/bean_deep_79.xml           #469
	bean_shallow_79/bean_shallow_79.xml     #470
	maize_79/maize_79.xml                   #471
	maize_deep_79/maize_deep_79.xml         #472
	maize_shallow_79/maize_shallow_79.xml   #473
	bean_80/bean_80.xml                     #474
	bean_deep_80/bean_deep_80.xml           #475
	bean_shallow_80/bean_shallow_80.xml     #476
	maize_80/maize_80.xml                   #477
	maize_deep_80/maize_deep_80.xml         #478
	maize_shallow_80/maize_shallow_80.xml   #479
	bean_81/bean_81.xml                     #480
	bean_deep_81/bean_deep_81.xml           #481
	bean_shallow_81/bean_shallow_81.xml     #482
	maize_81/maize_81.xml                   #483
	maize_deep_81/maize_deep_81.xml         #484
	maize_shallow_81/maize_shallow_81.xml   #485
	bean_82/bean_82.xml                     #486
	bean_deep_82/bean_deep_82.xml           #487
	bean_shallow_82/bean_shallow_82.xml     #488
	maize_82/maize_82.xml                   #489
	maize_deep_82/maize_deep_82.xml         #490
	maize_shallow_82/maize_shallow_82.xml   #491
	bean_83/bean_83.xml                     #492
	bean_deep_83/bean_deep_83.xml           #493
	bean_shallow_83/bean_shallow_83.xml     #494
	maize_83/maize_83.xml                   #495
	maize_deep_83/maize_deep_83.xml         #496
	maize_shallow_83/maize_shallow_83.xml   #497
	bean_84/bean_84.xml                     #498
	bean_deep_84/bean_deep_84.xml           #499
	bean_shallow_84/bean_shallow_84.xml     #500
	maize_84/maize_84.xml                   #501
	maize_deep_84/maize_deep_84.xml         #502
	maize_shallow_84/maize_shallow_84.xml   #503
	bean_85/bean_85.xml                     #504
	bean_deep_85/bean_deep_85.xml           #505
	bean_shallow_85/bean_shallow_85.xml     #506
	maize_85/maize_85.xml                   #507
	maize_deep_85/maize_deep_85.xml         #508
	maize_shallow_85/maize_shallow_85.xml   #509
	bean_86/bean_86.xml                     #510
	bean_deep_86/bean_deep_86.xml           #511
	bean_shallow_86/bean_shallow_86.xml     #512
	maize_86/maize_86.xml                   #513
	maize_deep_86/maize_deep_86.xml         #514
	maize_shallow_86/maize_shallow_86.xml   #515
	bean_87/bean_87.xml                     #516
	bean_deep_87/bean_deep_87.xml           #517
	bean_shallow_87/bean_shallow_87.xml     #518
	maize_87/maize_87.xml                   #519
	maize_deep_87/maize_deep_87.xml         #520
	maize_shallow_87/maize_shallow_87.xml   #521
	bean_88/bean_88.xml                     #522
	bean_deep_88/bean_deep_88.xml           #523
	bean_shallow_88/bean_shallow_88.xml     #524
	maize_88/maize_88.xml                   #525
	maize_deep_88/maize_deep_88.xml         #526
	maize_shallow_88/maize_shallow_88.xml   #527
	bean_89/bean_89.xml                     #528
	bean_deep_89/bean_deep_89.xml           #529
	bean_shallow_89/bean_shallow_89.xml     #530
	maize_89/maize_89.xml                   #531
	maize_deep_89/maize_deep_89.xml         #532
	maize_shallow_89/maize_shallow_89.xml   #533
	bean_90/bean_90.xml                     #534
	bean_deep_90/bean_deep_90.xml           #535
	bean_shallow_90/bean_shallow_90.xml     #536
	maize_90/maize_90.xml                   #537
	maize_deep_90/maize_deep_90.xml         #538
	maize_shallow_90/maize_shallow_90.xml   #539
	bean_91/bean_91.xml                     #540
	bean_deep_91/bean_deep_91.xml           #541
	bean_shallow_91/bean_shallow_91.xml     #542
	maize_91/maize_91.xml                   #543
	maize_deep_91/maize_deep_91.xml         #544
	maize_shallow_91/maize_shallow_91.xml   #545
	bean_92/bean_92.xml                     #546
	bean_deep_92/bean_deep_92.xml           #547
	bean_shallow_92/bean_shallow_92.xml     #548
	maize_92/maize_92.xml                   #549
	maize_deep_92/maize_deep_92.xml         #550
	maize_shallow_92/maize_shallow_92.xml   #551
	bean_93/bean_93.xml                     #552
	bean_deep_93/bean_deep_93.xml           #553
	bean_shallow_93/bean_shallow_93.xml     #554
	maize_93/maize_93.xml                   #555
	maize_deep_93/maize_deep_93.xml         #556
	maize_shallow_93/maize_shallow_93.xml   #557
	bean_94/bean_94.xml                     #558
	bean_deep_94/bean_deep_94.xml           #559
	bean_shallow_94/bean_shallow_94.xml     #560
	maize_94/maize_94.xml                   #561
	maize_deep_94/maize_deep_94.xml         #562
	maize_shallow_94/maize_shallow_94.xml   #563
	bean_95/bean_95.xml                     #564
	bean_deep_95/bean_deep_95.xml           #565
	bean_shallow_95/bean_shallow_95.xml     #566
	maize_95/maize_95.xml                   #567
	maize_deep_95/maize_deep_95.xml         #568
	maize_shallow_95/maize_shallow_95.xml   #569
	bean_96/bean_96.xml                     #570
	bean_deep_96/bean_deep_96.xml           #571
	bean_shallow_96/bean_shallow_96.xml     #572
	maize_96/maize_96.xml                   #573
	maize_deep_96/maize_deep_96.xml         #574
	maize_shallow_96/maize_shallow_96.xml   #575
	bean_97/bean_97.xml                     #576
	bean_deep_97/bean_deep_97.xml           #577
	bean_shallow_97/bean_shallow_97.xml     #578
	maize_97/maize_97.xml                   #579
	maize_deep_97/maize_deep_97.xml         #580
	maize_shallow_97/maize_shallow_97.xml   #581
	bean_98/bean_98.xml                     #582
	bean_deep_98/bean_deep_98.xml           #583
	bean_shallow_98/bean_shallow_98.xml     #584
	maize_98/maize_98.xml                   #585
	maize_deep_98/maize_deep_98.xml         #586
	maize_shallow_98/maize_shallow_98.xml   #587
	bean_99/bean_99.xml                     #588
	bean_deep_99/bean_deep_99.xml           #589
	bean_shallow_99/bean_shallow_99.xml     #590
	maize_99/maize_99.xml                   #591
	maize_deep_99/maize_deep_99.xml         #592
	maize_shallow_99/maize_shallow_99.xml   #593
	bean_100/bean_100.xml                   #594
	bean_deep_100/bean_deep_100.xml         #595
	bean_shallow_100/bean_shallow_100.xml   #596
	maize_100/maize_100.xml                 #597
	maize_deep_100/maize_deep_100.xml       #598
	maize_shallow_100/maize_shallow_100.xml #599
)

# max jobs to have queued+running at once. For ACI open queue, not more than 100
QUEUE_LIMIT=100
# how often to check for queue openings, in seconds.
CHECK_INTERVAL=300

cd ${PBS_O_WORKDIR}

i=0
while [ ${i} -lt ${#MODELS[@]} ]; do

	n_in_queue=$(
		qstat -u $(whoami) -t | # get job list
		grep -E '^[[:digit:]]+' | # drop headers & spacer lines
		awk '{print $10}' | # extract status column
		grep -v '^[CE]$' | # remove complete/exited jobs (they don't count toward queue limit)
		wc -w) # count what's left
	slots_free=$((QUEUE_LIMIT - n_in_queue))

	if [ ${slots_free} -gt 0 ]; then
		for j in `seq ${slots_free}`; do
			qsub -N `basename ${MODELS[$i]}` -v file=${MODELS[$i]} run_model.sh && i=$((i + 1))
			if [ ${i} -ge ${#MODELS[@]} ]; then break; fi
		done
	fi

	sleep ${CHECK_INTERVAL}
done
